/*
 * Licensed Materials - Property of IBM
 *
 * com.ibm.etools.c
 *
 *  Copyright IBM Corporation 2004. All Rights Reserved. 
 *
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */
package com.ibm.etools.c;

import com.ibm.etools.c.datatypes.CDirectionKind;

/**
 * <!-- begin-user-doc --> A representation of the model object '
 * <em><b>Parameter</b></em>'. <!-- end-user-doc -->
 * 
 * <p>
 * The following features are supported:
 * <ul>
 * <li>{@link com.ibm.etools.c.CParameter#getDirection <em>Direction</em>}
 * </li>
 * <li>
 * {@link com.ibm.etools.c.CParameter#getBehavioralFeature <em>Behavioral Feature</em>}
 * </li>
 * </ul>
 * </p>
 * 
 * @see com.ibm.etools.c.CPackage#getCParameter()
 * @model @generated
 */
public interface CParameter extends CTypedElement {
    /**
     * Returns the value of the '<em><b>Direction</b></em>' attribute. The
     * literals are from the enumeration
     * {@link com.ibm.etools.c.datatypes.CDirectionKind}. <!-- begin-user-doc
     * -->
     * <p>
     * If the meaning of the '<em>Direction</em>' attribute isn't clear,
     * there really should be more of a description here...
     * </p>
     * <!-- end-user-doc -->
     * 
     * @return the value of the '<em>Direction</em>' attribute.
     * @see com.ibm.etools.c.datatypes.CDirectionKind
     * @see #setDirection(CDirectionKind)
     * @see com.ibm.etools.c.CPackage#getCParameter_Direction()
     * @model @generated
     */
    CDirectionKind getDirection();

    /**
     * Sets the value of the '
     * {@link com.ibm.etools.c.CParameter#getDirection <em>Direction</em>}'
     * attribute. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @param value
     *            the new value of the '<em>Direction</em>' attribute.
     * @see com.ibm.etools.c.datatypes.CDirectionKind
     * @see #getDirection()
     * @generated
     */
    void setDirection(CDirectionKind value);

    /**
     * Returns the value of the '<em><b>Behavioral Feature</b></em>'
     * container reference. It is bidirectional and its opposite is '
     * {@link com.ibm.etools.c.CBehavioralFeature#getParameter <em>Parameter</em>}'.
     * <!-- begin-user-doc -->
     * <p>
     * If the meaning of the '<em>Behavioral Feature</em>' container
     * reference isn't clear, there really should be more of a description
     * here...
     * </p>
     * <!-- end-user-doc -->
     * 
     * @return the value of the '<em>Behavioral Feature</em>' container
     *         reference.
     * @see #setBehavioralFeature(CBehavioralFeature)
     * @see com.ibm.etools.c.CPackage#getCParameter_BehavioralFeature()
     * @see com.ibm.etools.c.CBehavioralFeature#getParameter
     * @model opposite="parameter"
     * @generated
     */
    CBehavioralFeature getBehavioralFeature();

    /**
     * Sets the value of the '
     * {@link com.ibm.etools.c.CParameter#getBehavioralFeature <em>Behavioral Feature</em>}'
     * container reference. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @param value
     *            the new value of the '<em>Behavioral Feature</em>'
     *            container reference.
     * @see #getBehavioralFeature()
     * @generated
     */
    void setBehavioralFeature(CBehavioralFeature value);

} // CParameter
