/**
 * <copyright>
 * </copyright>
 *
 * $Id: COBOLComposedType.java,v 1.2.4.1 2005/10/28 04:37:27 akkina Exp $
 */
package com.ibm.etools.cobol;

import com.ibm.etools.tdlang.TDLangComposedType;

import org.eclipse.emf.common.util.EList;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Composed Type</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * The COBOLComposedType class represents a nested declaration that contains additional elements.  COBOLComposedType class is an aggregate of COBOLElements 
 * COBOLComposedType is also the parent class of COBOLRedefines.
 * 
 * For example:
 * 01 STUDENT.
 * 05 CLASSES OCCURS 5.
 * 10 CLASSNAME PIC X(20).
 * 10 CLASSNUM PIC 9(4).
 * 
 * STUDENT is defined by  COBOLComposedElement.  Its aggregation only point to the CLASSES item, which is a  COBOLElement.  CLASSES is itself defined by a COBOLComposedElement.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link com.ibm.etools.cobol.COBOLComposedType#getElement <em>Element</em>}</li>
 * </ul>
 * </p>
 *
 * @see com.ibm.etools.cobol.COBOLPackage#getCOBOLComposedType()
 * @model 
 * @generated
 */
public interface COBOLComposedType extends COBOLClassifier, TDLangComposedType {
	/**
	 * Returns the value of the '<em><b>Element</b></em>' containment reference list.
	 * The list contents are of type {@link com.ibm.etools.cobol.COBOLElement}.
	 * It is bidirectional and its opposite is '{@link com.ibm.etools.cobol.COBOLElement#getGroup <em>Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Element</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Element</em>' containment reference list.
	 * @see com.ibm.etools.cobol.COBOLPackage#getCOBOLComposedType_Element()
	 * @see com.ibm.etools.cobol.COBOLElement#getGroup
	 * @model type="com.ibm.etools.cobol.COBOLElement" opposite="group" containment="true"
	 * @generated
	 */
	EList getElement();

} // COBOLComposedType
