/**
 * <copyright>
 * </copyright>
 *
 * $Id: COBOLDBCSType.java,v 1.2.4.1 2005/10/28 04:37:27 akkina Exp $
 */
package com.ibm.etools.cobol;


/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>DBCS Type</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 *  The PICTURE character-string can contain the symbol(s) G, G and B, or N. 
 *  Each G, B or N represents a single DBCS character position. 
 *  The entire range of characters for a DBCS literal can be used. 
 * 
 *  Other clauses: When PICTURE clause symbol G is used, USAGE DISPLAY-1 must 
 *  be specified. 
 * 
 *  When PICTURE clause symbol N is used, USAGE DISPLAY-1 is assumed and does 
 *  not need to be specified. 
 * 
 *  Any associated VALUE clause must specify a DBCS literal or the figurative 
 *  constant SPACE/SPACES. 
 * 
 * The DBCSType occupies 2 bytes per character.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link com.ibm.etools.cobol.COBOLDBCSType#getJustifyRight <em>Justify Right</em>}</li>
 * </ul>
 * </p>
 *
 * @see com.ibm.etools.cobol.COBOLPackage#getCOBOLDBCSType()
 * @model 
 * @generated
 */
public interface COBOLDBCSType extends COBOLSimpleType {
	/**
	 * Returns the value of the '<em><b>Justify Right</b></em>' attribute.
	 * The default value is <code>"false"</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * <!-- begin-model-doc -->
	 * Notice that justified cannot be specified for edited DBCS.
	 * <!-- end-model-doc -->
	 * @return the value of the '<em>Justify Right</em>' attribute.
	 * @see #setJustifyRight(Boolean)
	 * @see com.ibm.etools.cobol.COBOLPackage#getCOBOLDBCSType_JustifyRight()
	 * @model default="false"
	 * @generated
	 */
	Boolean getJustifyRight();

	/**
	 * Sets the value of the '{@link com.ibm.etools.cobol.COBOLDBCSType#getJustifyRight <em>Justify Right</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Justify Right</em>' attribute.
	 * @see #getJustifyRight()
	 * @generated
	 */
	void setJustifyRight(Boolean value);

} // COBOLDBCSType
